package com.xzzn.ems.domain.vo;

import java.util.List;

/**
 * 首页看板-数据概览
 *
 */
public class HomePageDataViewVo {
    /**
     * 电量指标
     */
    private List<ElectricIndexList> elecDataList;

    /**
     * 系统效率
     */
    private List<SystemEfficiencyList> sysEfficList;

    /**
     * 告警趋势
     */
    private List<AlarmTrendList> alarmDataList;

    /**
     * 设备告警占比
     */
    private List<DeviceAlarmProportionList> deviceAlarmList;

    /**
     * 告警等级分布
     */
    private List<AlarmGradeList> alarmLevelList;

    public List<ElectricIndexList> getElecDataList() {
        return elecDataList;
    }

    public void setElecDataList(List<ElectricIndexList> elecDataList) {
        this.elecDataList = elecDataList;
    }

    public List<SystemEfficiencyList> getSysEfficList() {
        return sysEfficList;
    }

    public void setSysEfficList(List<SystemEfficiencyList> sysEfficList) {
        this.sysEfficList = sysEfficList;
    }

    public List<AlarmTrendList> getAlarmDataList() {
        return alarmDataList;
    }

    public void setAlarmDataList(List<AlarmTrendList> alarmDataList) {
        this.alarmDataList = alarmDataList;
    }

    public List<DeviceAlarmProportionList> getDeviceAlarmList() {
        return deviceAlarmList;
    }

    public void setDeviceAlarmList(List<DeviceAlarmProportionList> deviceAlarmList) {
        this.deviceAlarmList = deviceAlarmList;
    }

    public List<AlarmGradeList> getAlarmLevelList() {
        return alarmLevelList;
    }

    public void setAlarmLevelList(List<AlarmGradeList> alarmLevelList) {
        this.alarmLevelList = alarmLevelList;
    }
}
